#
# Conditional build:
%bcond_with	tests	# perform "make test" - needs network connection
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Socket-SSL
Summary:	IO::Socket::SSL - nearly transparent SSL encapsulation for IO::Socket::INET
Summary(pl.UTF-8):	IO::Socket::SSL - prawie przezroczysta obudowa SSL dla IO::Socket::INET
Name:		perl-IO-Socket-SSL
Version:	2.052
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	26c9bcdfb4ba8763ef89264f21326a48
URL:		http://search.cpan.org/dist/IO-Socket-SSL/
%if %{with tests}
BuildRequires:	perl-Net-SSLeay >= 1.46
BuildRequires:	perl-Scalar-List-Utils
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# actually Net::SSLeay using openssl >= 0.9.8
Requires:	openssl >= 0.9.8
Suggests:	perl-Net-IDN-Encode
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a true drop-in replacement for IO::Socket::INET that
uses SSL to encrypt data before it is transferred to a remote server
or client. IO::Socket::SSL supports all the extra features that one
needs to write a full-featured SSL client or server application:
multiple SSL contexts, cipher selection, certificate verification, and
SSL version selection. As an extra bonus, it works perfectly with
mod_perl.

%description -l pl.UTF-8
Ten moduł jest prawdziwym zamiennikiem dla IO::Socket::INET,
używającym SSL do kodowania danych przed przesyłaniem do zdalnego
serwera lub klienta. IO::Socket::SSL wspiera wszystkie dodatkowe
rzeczy potrzebne do napisania w pełni funkcjonalnego klienta lub
serwera SSL: wiele kontekstów SSL, wybór szyfru, weryfikacja
certyfikatu, wybór wersji SSL. Ponadto wspaniale działa z mod_perlem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo "n" | \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/IO/Socket/SSL.pod

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README docs/*
%{perl_vendorlib}/IO/Socket/SSL.pm
%{perl_vendorlib}/IO/Socket/SSL
%{_mandir}/man3/IO::Socket::SSL*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Oct 29 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Socket-SSL.git;a=log;h=master

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ba7a90c
- up to 2.052

* Mon Sep 11 2017 Jan Palus <atler@pld-linux.org> 18510b1
- up to 2.051

* Tue Aug 15 2017 Jan Palus <atler@pld-linux.org> 3bd8a7a
- up to 2.049

* Sun May 07 2017 Jan Palus <atler@pld-linux.org> aef8883
- up to 2.048

* Fri Feb 17 2017 Jan Palus <atler@pld-linux.org> 8c03eb7
- up to 2.047

* Sun Feb 12 2017 Jan Palus <atler@pld-linux.org> 000a4ea
- up to 2.044

* Sat Jun 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 552bfad
- updated to 2.027

* Tue Apr 05 2016 Jan Palus <atler@pld-linux.org> df05b70
- up to 2.025

* Sat Feb 06 2016 Adam Osuchowski <adwol@pld-linux.org> 39ac7c0
- up to 2.024

* Sun Jan 31 2016 Adam Osuchowski <adwol@pld-linux.org> 858b481
- up to 2.023

* Thu Dec 10 2015 Jan Palus <atler@pld-linux.org> bff883f
- up to 2.022

* Sun Sep 20 2015 Jan Palus <atler@pld-linux.org> f68711c
- up to 2.020

* Sun Jun 14 2015 Jan Palus <atler@pld-linux.org> 4e0a61d
- up to 2.016

* Sun Feb 08 2015 Jan Palus <atler@pld-linux.org> d825a17
- up to 2.012

* Sat Nov 15 2014 Adam Osuchowski <adwol@pld-linux.org> 73f13a4
- up to 2.004

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 9223370
- updated to 2.002

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> aebfe8b
- check-files cleanup

* Fri Jul 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 034770f
- up to 1.994

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 05b702b
- updated to 1.94

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> ad2a7fe
- updated to 1.74

